summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'sys-fs/squashfs-tools')
-rw-r--r--sys-fs/squashfs-tools/ChangeLog7
-rw-r--r--sys-fs/squashfs-tools/Manifest11
-rw-r--r--sys-fs/squashfs-tools/files/squashfs-tools-3.3-progress-stderr.patch26
-rw-r--r--sys-fs/squashfs-tools/files/squashfs-tools-3.4-progress-stderr.patch37
-rw-r--r--sys-fs/squashfs-tools/files/squashfs-tools-4.0-progress-stderr.patch29
-rw-r--r--sys-fs/squashfs-tools/metadata.xml12
-rw-r--r--sys-fs/squashfs-tools/squashfs-tools-3.2_p2.ebuild42
-rw-r--r--sys-fs/squashfs-tools/squashfs-tools-3.4.ebuild42
-rw-r--r--sys-fs/squashfs-tools/squashfs-tools-4.0.ebuild45
9 files changed, 251 insertions, 0 deletions
diff --git a/sys-fs/squashfs-tools/ChangeLog b/sys-fs/squashfs-tools/ChangeLog
new file mode 100644
index 00000000..5a6fc4a2
--- /dev/null
+++ b/sys-fs/squashfs-tools/ChangeLog
@@ -0,0 +1,7 @@
+# ChangeLog for sys-fs/squashfs-tools
+# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
+# $Header $
+
+ 27 Apr 2010; Martin Väth <martin@mvath.de>
+ Copy from the portage tree to add USE=progress-redirect
+ Clear previous ChangeLog.
diff --git a/sys-fs/squashfs-tools/Manifest b/sys-fs/squashfs-tools/Manifest
new file mode 100644
index 00000000..f712ed70
--- /dev/null
+++ b/sys-fs/squashfs-tools/Manifest
@@ -0,0 +1,11 @@
+AUX squashfs-tools-3.3-progress-stderr.patch 582 RMD160 6f7f864e3c24787c8a6c8daaa48acd7b722e6e44 SHA1 cd5ff9590da7e38300634fd920834fcbfe8b7a05 SHA256 215ca62f54bdb4b4863df5a8b7c9fe0be7c186d15324498bc4055368f033ebf1
+AUX squashfs-tools-3.4-progress-stderr.patch 810 RMD160 0f6f7f07a1f6fa0d9488e568c918eb1ea8ba7fdf SHA1 40d3434bd008796384b7b180b00180e4b0dd3384 SHA256 a39aa4af03c7b7a72a7b4f57b12cc9eef3f281cd41652792075dd9f0eef021e5
+AUX squashfs-tools-4.0-progress-stderr.patch 631 RMD160 2c5bd994669e01202afcbceb75866aaf74ea1482 SHA1 730df34a4ef395fbbb162b5d45aa4a419ddf7dfc SHA256 556a3a436063fdef0d815ba55b82dd86027b689f27e1fe20d6f72c6bdbf2208b
+DIST squashfs3.2-r2.tar.gz 314764 RMD160 6f21ad0ee90e4b5c6ad2b0b92c96d24af8e19531 SHA1 e38c16c09435291b2c97aa0a321c29da442ff686 SHA256 8482465d58d78099c608b32fc034921f7c8c3cf7934b5edc68c463cd450b40a7
+DIST squashfs3.4.tar.gz 352660 RMD160 e75c9a9e5220e80a8e321536f8fe8372bfe5d830 SHA1 6933a8f3098d94f93ec4002a54026b15a6e11640 SHA256 9ea1a9b3bd4f387ca11b5e96f00f8ae996fb81c4c7ad41f7c7f359917628a339
+DIST squashfs4.0.tar.gz 103979 RMD160 b67dd14ff7255d245617466566ac29d9a08aff68 SHA1 3efe764ac27c507ee4a549fc6507bc86ea0660dd SHA256 18948edbe06bac2c4307eea99bfb962643e4b82e5b7edd541b4d743748e12e21
+EBUILD squashfs-tools-3.2_p2.ebuild 1110 RMD160 f60cf4e15304073d83b675294cab2c6b1f467e33 SHA1 2801c4dccb2c706486e74e32e48ed5d0204135af SHA256 5258456e1b71f878bcdaa65b842d5ccd59fad4a30616be267b4ac39f342e7703
+EBUILD squashfs-tools-3.4.ebuild 1088 RMD160 dbf034f89abae8180dd1f83d2cffa92a00b8f4d0 SHA1 9090da84d30ce5edd5408056438cf0b95c6420e1 SHA256 c3fa78a607db8657f808e4e4902ad585ad85531423648efadc7f19d3dfcde55b
+EBUILD squashfs-tools-4.0.ebuild 1082 RMD160 953346afde453fbe4a01e3e95f231f198121d5c4 SHA1 db3ab258f9b251ff3c8eba678e674e486f3856ee SHA256 8e902b57cd16eca3490b0f7a6ea5a21f15d277298d87f661db764cbf2af6f7d7
+MISC ChangeLog 271 RMD160 e9fdf45dc23587bd58bf57a60b8bf9ca142d7d5a SHA1 bfddb625547707c814ca2bc180af70e723f9013f SHA256 77224a5a9a8878bf61733946bc204d29af04395702952779f975665b1b5ad08e
+MISC metadata.xml 431 RMD160 c7ccbb800d3ac8606a3edf90fec3a501afab018e SHA1 81f9701f070043f1e505ea804b42d73cf5490dab SHA256 eda5db4e930c106c63cf8402fce9b70c009d73ccd4698620687639c38f75c49c
diff --git a/sys-fs/squashfs-tools/files/squashfs-tools-3.3-progress-stderr.patch b/sys-fs/squashfs-tools/files/squashfs-tools-3.3-progress-stderr.patch
new file mode 100644
index 00000000..4f1d0bdf
--- /dev/null
+++ b/sys-fs/squashfs-tools/files/squashfs-tools-3.3-progress-stderr.patch
@@ -0,0 +1,26 @@
+--- squashfs-tools/mksquashfs.c
++++ squashfs-tools/mksquashfs.c
+@@ -1832,17 +1832,17 @@
+ if(!progress || columns - used < 0)
+ return;
+
+- printf("\r[");
++ fprintf(stderr, "\r[");
+
+ while (hashes --)
+- putchar('=');
++ putc('=', stderr);
+
+ while(spaces --)
+- putchar(' ');
++ putc(' ', stderr);
+
+- printf("] %*lld/%*lld", max_digits, current, max_digits, max);
+- printf(" %3lld%%", current * 100 / max);
+- fflush(stdout);
++ fprintf(stderr, "] %*lld/%*lld", max_digits, current, max_digits, max);
++ fprintf(stderr, " %3lld%%", current * 100 / max);
++ fflush(stderr);
+ }
+
+
diff --git a/sys-fs/squashfs-tools/files/squashfs-tools-3.4-progress-stderr.patch b/sys-fs/squashfs-tools/files/squashfs-tools-3.4-progress-stderr.patch
new file mode 100644
index 00000000..d06f9789
--- /dev/null
+++ b/sys-fs/squashfs-tools/files/squashfs-tools-3.4-progress-stderr.patch
@@ -0,0 +1,37 @@
+--- squashfs-tools/mksquashfs.c
++++ squashfs-tools/mksquashfs.c
+@@ -2254,26 +2254,26 @@
+ int spaces = columns - used - hashes;
+
+ if(current > max) {
+- printf("%lld %lld\n", current, max);
++ fprintf(stderr, "%lld %lld\n", current, max);
+ return;
+ }
+
+ if(columns - used < 0)
+ return;
+
+- printf("\r[");
++ fprintf(stderr, "\r[");
+
+ while (hashes --)
+- putchar('=');
++ putc('=', stderr);
+
+- putchar(rotate_list[rotate]);
++ putc(rotate_list[rotate], stderr);
+
+ while(spaces --)
+- putchar(' ');
++ putc(' ', stderr);
+
+- printf("] %*lld/%*lld", max_digits, current, max_digits, max);
+- printf(" %3lld%%", current * 100 / max);
+- fflush(stdout);
++ fprintf(stderr, "] %*lld/%*lld", max_digits, current, max_digits, max);
++ fprintf(stderr, " %3lld%%", current * 100 / max);
++ fflush(stderr);
+ }
+
+
diff --git a/sys-fs/squashfs-tools/files/squashfs-tools-4.0-progress-stderr.patch b/sys-fs/squashfs-tools/files/squashfs-tools-4.0-progress-stderr.patch
new file mode 100644
index 00000000..d6669773
--- /dev/null
+++ b/sys-fs/squashfs-tools/files/squashfs-tools-4.0-progress-stderr.patch
@@ -0,0 +1,29 @@
+--- squashfs-tools/mksquashfs.c
++++ squashfs-tools/mksquashfs.c
+@@ -2570,19 +2570,19 @@
+ previous = current;
+ }
+
+- printf("\r[");
++ fprintf(stderr, "\r[");
+
+ while (hashes --)
+- putchar('=');
++ putc('=', stderr);
+
+- putchar(rotate_list[rotate]);
++ putc(rotate_list[rotate], stderr);
+
+ while(spaces --)
+- putchar(' ');
++ putc(' ', stderr);
+
+- printf("] %*lld/%*lld", max_digits, current, max_digits, max);
+- printf(" %3lld%%", current * 100 / max);
+- fflush(stdout);
++ fprintf(stderr, "] %*lld/%*lld", max_digits, current, max_digits, max);
++ fprintf(stderr, " %3lld%%", current * 100 / max);
++ fflush(stderr);
+ }
+
+
diff --git a/sys-fs/squashfs-tools/metadata.xml b/sys-fs/squashfs-tools/metadata.xml
new file mode 100644
index 00000000..f3b3198c
--- /dev/null
+++ b/sys-fs/squashfs-tools/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>no-herd</herd>
+<maintainer>
+ <email>martin@mvath.de</email>
+ <name>Martin Väth</name>
+</maintainer>
+<use>
+ <flag name="progress-redirect">Redirect printing of progress bar to stderr. This gives a nicer output if used from scripts like sys-fs/squash_dir</flag>
+</use>
+</pkgmetadata>
diff --git a/sys-fs/squashfs-tools/squashfs-tools-3.2_p2.ebuild b/sys-fs/squashfs-tools/squashfs-tools-3.2_p2.ebuild
new file mode 100644
index 00000000..c35f0715
--- /dev/null
+++ b/sys-fs/squashfs-tools/squashfs-tools-3.2_p2.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header $
+
+inherit toolchain-funcs eutils
+
+MY_PV=${PV/_p/-r}
+DESCRIPTION="Tool for creating compressed filesystem type squashfs"
+HOMEPAGE="http://squashfs.sourceforge.net/"
+SRC_URI="mirror://sourceforge/squashfs/squashfs${MY_PV}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="3.0" # squashfs filesystem version
+KEYWORDS="alpha amd64 arm hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86"
+IUSE="+progress-redirect"
+
+RDEPEND="sys-libs/zlib"
+
+S=${WORKDIR}/squashfs${MY_PV}/squashfs-tools
+
+src_unpack() {
+ unpack ${A}
+ cd "${S}"
+ sed -i \
+ -e 's:-O2:$(CFLAGS):' \
+ -e '/-lz/s:$: $(LDFLAGS):' \
+ Makefile || die "sed failed"
+ use progress-redirect && \
+ epatch "${FILESDIR}/${PN}-3.3-progress-stderr.patch"
+ echo "struct dir_info; `grep '^int dir_scan2' mksquashfs.c`;" >> global.h
+}
+
+src_compile() {
+ emake CC="$(tc-getCC)" || die
+}
+
+src_install() {
+ newbin mksquashfs mksquashfs-${SLOT} || die
+ newbin unsquashfs unsquashfs-${SLOT} || die
+ cd ..
+ dodoc README ACKNOWLEDGEMENTS CHANGES PERFORMANCE.README README-3.2
+}
diff --git a/sys-fs/squashfs-tools/squashfs-tools-3.4.ebuild b/sys-fs/squashfs-tools/squashfs-tools-3.4.ebuild
new file mode 100644
index 00000000..4979fa36
--- /dev/null
+++ b/sys-fs/squashfs-tools/squashfs-tools-3.4.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header $
+
+inherit toolchain-funcs eutils
+
+MY_PV=${PV/_p/-r}
+DESCRIPTION="Tool for creating compressed filesystem type squashfs"
+HOMEPAGE="http://squashfs.sourceforge.net/"
+SRC_URI="mirror://sourceforge/squashfs/squashfs${MY_PV}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="3.1" # squashfs filesystem version
+KEYWORDS="alpha amd64 arm hppa ia64 m68k mips ppc ppc64 s390 sh sparc x86"
+IUSE="+progress-redirect"
+
+RDEPEND="sys-libs/zlib"
+
+S=${WORKDIR}/squashfs${MY_PV}/squashfs-tools
+
+src_unpack() {
+ unpack ${A}
+ cd "${S}"
+ sed -i \
+ -e 's:-O2:$(CFLAGS):' \
+ -e '/-lz/s:$: $(LDFLAGS):' \
+ Makefile || die "sed failed"
+ use progress-redirect && \
+ epatch "${FILESDIR}/${P}-progress-stderr.patch"
+ sed -i -e 's:get_nprocs():sysconf(_SC_NPROCESSORS_ONLN):' *.c
+}
+
+src_compile() {
+ emake CC="$(tc-getCC)" || die
+}
+
+src_install() {
+ newbin mksquashfs mksquashfs-${SLOT} || die
+ newbin unsquashfs unsquashfs-${SLOT} || die
+ cd ..
+ dodoc README ACKNOWLEDGEMENTS CHANGES PERFORMANCE.README README
+}
diff --git a/sys-fs/squashfs-tools/squashfs-tools-4.0.ebuild b/sys-fs/squashfs-tools/squashfs-tools-4.0.ebuild
new file mode 100644
index 00000000..938134c1
--- /dev/null
+++ b/sys-fs/squashfs-tools/squashfs-tools-4.0.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header $
+
+inherit toolchain-funcs eutils
+
+MY_PV=${PV}
+DESCRIPTION="Tool for creating compressed filesystem type squashfs"
+HOMEPAGE="http://squashfs.sourceforge.net/"
+SRC_URI="mirror://sourceforge/squashfs/squashfs${MY_PV}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="alpha amd64 arm hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86"
+IUSE="+progress-redirect"
+
+RDEPEND="sys-libs/zlib"
+
+S=${WORKDIR}/squashfs${MY_PV}/squashfs-tools
+
+src_unpack() {
+ unpack ${A}
+ cd "${S}"
+ sed -i \
+ -e 's:-O2:$(CFLAGS):' \
+ -e '/-lz/s:$: $(LDFLAGS):' \
+ Makefile || die "sed failed"
+ use progress-redirect && \
+ epatch "${FILESDIR}/${P}-progress-stderr.patch"
+ sed -i -e 's:get_nprocs():sysconf(_SC_NPROCESSORS_ONLN):' *.c
+}
+
+src_compile() {
+ emake CC="$(tc-getCC)" || die
+}
+
+src_install() {
+ dobin mksquashfs unsquashfs || die
+ cd ..
+ dodoc README ACKNOWLEDGEMENTS CHANGES PERFORMANCE.README
+}
+
+pkg_postinst() {
+ ewarn "This version of mksquashfs requires a 2.6.29 kernel or better."
+}